<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.geometry.Insets?>
<?import javafx.scene.control.Button?>
<?import javafx.scene.control.ButtonBar?>
<?import javafx.scene.control.ComboBox?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.control.TextField?>
<?import javafx.scene.layout.AnchorPane?>
<?import javafx.scene.layout.ColumnConstraints?>
<?import javafx.scene.layout.GridPane?>
<?import javafx.scene.layout.RowConstraints?>
<?import javafx.scene.layout.VBox?>
<?import javafx.scene.text.Font?>

<AnchorPane prefHeight="403.0" prefWidth="410.0" xmlns="http://javafx.com/javafx/11.0.1" xmlns:fx="http://javafx.com/fxml/1" fx:controller="controlador.ControllerArticulo">
   <children>
      <VBox prefHeight="376.0" prefWidth="410.0" AnchorPane.bottomAnchor="0.0" AnchorPane.leftAnchor="0.0" AnchorPane.rightAnchor="0.0" AnchorPane.topAnchor="0.0">
         <children>
            <Label alignment="CENTER" contentDisplay="TOP" prefHeight="45.0" prefWidth="478.0" style="-fx-background-color: lightgrey;" text="Formulario ARTICULOS">
               <font>
                  <Font size="20.0" />
               </font>
               <VBox.margin>
                  <Insets bottom="10.0" left="10.0" right="10.0" top="10.0" />
               </VBox.margin>
            </Label>
            <GridPane prefHeight="156.0" prefWidth="369.0">
              <columnConstraints>
                <ColumnConstraints hgrow="SOMETIMES" maxWidth="179.0" minWidth="10.0" prefWidth="113.0" />
                <ColumnConstraints hgrow="SOMETIMES" maxWidth="256.0" minWidth="10.0" prefWidth="256.0" />
              </columnConstraints>
              <rowConstraints>
                <RowConstraints />
                <RowConstraints />
                <RowConstraints />
                  <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                  <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                  <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                  <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                  <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                  <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
              </rowConstraints>
               <opaqueInsets>
                  <Insets bottom="10.0" left="10.0" right="10.0" top="10.0" />
               </opaqueInsets>
               <children>
                  <Label prefHeight="76.0" prefWidth="98.0" text="ID" GridPane.rowIndex="3">
                     <GridPane.margin>
                        <Insets bottom="5.0" left="15.0" right="10.0" top="5.0" />
                     </GridPane.margin>
                     <padding>
                        <Insets left="5.0" />
                     </padding>
                  </Label>
                  <Label prefHeight="69.0" prefWidth="98.0" text="Nombre" GridPane.rowIndex="4">
                     <GridPane.margin>
                        <Insets bottom="5.0" left="15.0" right="10.0" top="5.0" />
                     </GridPane.margin>
                     <padding>
                        <Insets left="5.0" />
                     </padding>
                  </Label>
                  <Label id="tfPrecio" prefHeight="58.0" prefWidth="98.0" text="Precio" GridPane.rowIndex="5">
                     <padding>
                        <Insets left="5.0" />
                     </padding>
                     <GridPane.margin>
                        <Insets bottom="5.0" left="15.0" right="10.0" top="5.0" />
                     </GridPane.margin>
                  </Label>
                  <Label id="tfPrecio" prefHeight="58.0" prefWidth="98.0" text="Codigo" GridPane.rowIndex="6">
                     <GridPane.margin>
                        <Insets bottom="5.0" left="15.0" right="10.0" top="5.0" />
                     </GridPane.margin>
                     <padding>
                        <Insets left="5.0" />
                     </padding>
                  </Label>
                  <TextField id="tfID" fx:id="tfID" editable="false" GridPane.columnIndex="1" GridPane.rowIndex="3">
                     <GridPane.margin>
                        <Insets bottom="5.0" left="5.0" right="10.0" top="5.0" />
                     </GridPane.margin>
                  </TextField>
                  <TextField id="tfNombre" fx:id="tfNombre" editable="false" GridPane.columnIndex="1" GridPane.rowIndex="4">
                     <GridPane.margin>
                        <Insets bottom="5.0" left="5.0" right="10.0" top="5.0" />
                     </GridPane.margin>
                  </TextField>
                  <TextField fx:id="tfPrecio" editable="false" GridPane.columnIndex="1" GridPane.rowIndex="5">
                     <GridPane.margin>
                        <Insets bottom="5.0" left="5.0" right="10.0" top="5.0" />
                     </GridPane.margin>
                  </TextField>
                  <TextField fx:id="tfCodigo" editable="false" GridPane.columnIndex="1" GridPane.rowIndex="6">
                     <GridPane.margin>
                        <Insets bottom="5.0" left="5.0" right="10.0" top="5.0" />
                     </GridPane.margin>
                  </TextField>
                  <Label id="tfPrecio" prefHeight="58.0" prefWidth="98.0" text="Grupo" GridPane.rowIndex="7">
                     <padding>
                        <Insets left="5.0" />
                     </padding>
                     <GridPane.margin>
                        <Insets bottom="5.0" left="15.0" right="10.0" top="5.0" />
                     </GridPane.margin>
                  </Label>
                  <ComboBox id="cmbGrupo" fx:id="cmbGrupo" prefWidth="150.0" GridPane.columnIndex="1" GridPane.rowIndex="7">
                     <GridPane.margin>
                        <Insets bottom="5.0" left="5.0" right="10.0" top="5.0" />
                     </GridPane.margin>
                  </ComboBox>
                  <Label id="tfPrecio" prefHeight="58.0" prefWidth="98.0" text="Nuevo Grupo" GridPane.rowIndex="8">
                     <padding>
                        <Insets left="5.0" />
                     </padding>
                     <GridPane.margin>
                        <Insets bottom="5.0" left="15.0" right="10.0" top="5.0" />
                     </GridPane.margin>
                  </Label>
                  <TextField fx:id="tfGrupo" editable="false" GridPane.columnIndex="1" GridPane.rowIndex="8">
                     <GridPane.margin>
                        <Insets bottom="5.0" left="5.0" right="130.0" top="5.0" />
                     </GridPane.margin>
                  </TextField>
                  <Button fx:id="btnNGrupo" mnemonicParsing="false" onAction="#acctionNGrupo" style="-fx-background-color: grey;" text="Nuevo Grupo" GridPane.columnIndex="1" GridPane.rowIndex="8">
                     <GridPane.margin>
                        <Insets bottom="5.0" left="140.0" right="10.0" top="5.0" />
                     </GridPane.margin></Button>
               </children>
               <VBox.margin>
                  <Insets bottom="10.0" left="10.0" right="10.0" top="10.0" />
               </VBox.margin>
            </GridPane>
            <ButtonBar prefHeight="40.0" prefWidth="339.0">
              <buttons>
                <Button fx:id="btnPrimero" mnemonicParsing="false" onAction="#accionPrimero" style="-fx-background-color: grey;" text="|&lt;" />
                  <Button fx:id="btnAtras" mnemonicParsing="false" onAction="#accionAtras" style="-fx-background-color: grey;" text="&lt;" />
                  <Button fx:id="btnAdelante" mnemonicParsing="false" onAction="#accionAdelante" style="-fx-background-color: grey;" text="&gt;" />
                  <Button fx:id="btnUltimo" mnemonicParsing="false" onAction="#accionUltimo" style="-fx-background-color: grey;" text="&gt;|" />
              </buttons>
               <VBox.margin>
                  <Insets bottom="10.0" left="10.0" right="10.0" top="10.0" />
               </VBox.margin>
            </ButtonBar>
            <ButtonBar prefHeight="40.0" prefWidth="200.0">
              <buttons>
                  <Button fx:id="btnNuevo" mnemonicParsing="false" onAction="#accionNuevo" style="-fx-background-color: grey;" text="Nuevo" />
                  <Button fx:id="btnBorrarOAceptar" mnemonicParsing="false" onAction="#accionBorrarOAceptar" style="-fx-background-color: grey;" text="Borrar" />
                  <Button fx:id="btnEditarOCancelar" mnemonicParsing="false" onAction="#accionEditarOCancelar" style="-fx-background-color: grey;" text="Editar" />
              </buttons>
               <VBox.margin>
                  <Insets bottom="10.0" left="10.0" right="10.0" top="10.0" />
               </VBox.margin>
               <opaqueInsets>
                  <Insets />
               </opaqueInsets>
            </ButtonBar>
            <Label fx:id="lblInfo" alignment="CENTER" prefHeight="23.0" prefWidth="423.0" style="-fx-background-color: lightgrey;" text="Registro X de Y">
               <VBox.margin>
                  <Insets bottom="10.0" left="10.0" right="10.0" top="10.0" />
               </VBox.margin>
            </Label>
         </children>
      </VBox>
   </children>
</AnchorPane>
